/*-- Use For Custom Styling --*/

.main_color{
    color: #ff8040;
}


.btn_solucion{
    display: block;
    color: #666666;
    background-color: #fff;
    border: 1px solid #dcdcdc;
    border-radius: 11px;
    padding: 40px 0px;
    font-size: 18px;
}

.btn_solucion:hover{
    background-color: #ff8040;
    color: #fff;
}

.btn_solucion i{
    display: block;
    font-size: 32px;
    padding-bottom: 6px;
}



#app {
    display: flex;
    flex-direction: column;
    height: 50vh;
  }
  #toolbar {
    display: flex;
    align-items: center;
    background-color: #555;
    color: #fff;
    padding: 0.5em;
  }
  #toolbar button,
  #page-mode input {
    color: currentColor;
    background-color: transparent;
    font: inherit;
    border: 1px solid currentColor;
    border-radius: 3px;
    padding: 0.25em 0.5em;
  }
  #toolbar button:hover,
  #toolbar button:focus,
  #page-mode input:hover,
  #page-mode input:focus {
    color: lightGreen;
  }
  #page-mode {
    display: flex;
    align-items: center;
    padding: 0.25em 0.5em;
  }
  
  #viewport-container {
    flex: 1;
    background: #eee;
    overflow: auto;
  }
  #viewport {
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
  }
  #viewport > div {
    text-align: center;
    max-width: 100%;
  }
  #viewport canvas {
    width: 100%;
    box-shadow: 0 2px 5px gray;
  }
